Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 911058 - Review Request: nodejs-url2 - The Node.js URL module plus relative pathing
Summary: Review Request: nodejs-url2 - The Node.js URL module plus relative pathing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 911048
TreeView+ depends on / blocked
 
Reported: 2013-02-14 09:52 UTC by Jamie Nguyen
Modified: 2013-07-02 00:25 UTC (History)
4 users (show)

Fixed In Version: nodejs-url2-0.0.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-21 15:22:47 UTC
marcelo.barbosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-02-14 09:52:53 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-url2.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-url2-0.0.0-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
This module builds upon the existing URL module in Node.js, but adds
relative(source, target) which returns the shortest relative path between
any two equally qualified URLs. If the paths are not equally qualified,
it returns the target.

In addition, this package augments the URL object definition as returned
by parse and consumed by format.

Comment 2 Marcelo Barbosa "firemanxbr" 2013-06-20 19:51:12 UTC
Jamie,

   This package erro in downloading:

$ fedora-review -b 911058
INFO: Processing bugzilla bug: 911058
INFO: Getting .spec and .srpm Urls from : 911058
INFO:   --> SRPM url: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-url2-0.0.0-2.fc19.src.rpm
INFO:   --> Spec url: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-url2.spec
INFO: Using review directory: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/911058-nodejs-url2
INFO: Downloading .spec and .srpm files
ERROR: 'Error 404 downloading http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-url2-0.0.0-2.fc19.src.rpm' (logs in /home/marcelo.barbosa/.cache/fedora-review.log)

 Please adjust your repository:

Not Found

The requested URL /buddycloud-server/SRPMS/nodejs-url2-0.0.0-2.fc19.src.rpm was not found on this server.

Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

Thank you.

Marcelo barbosa

Comment 3 Jamie Nguyen 2013-06-20 21:57:01 UTC
Oops, my fault. Fixed!

Comment 4 Marcelo Barbosa "firemanxbr" 2013-06-21 06:19:59 UTC
- warning outputs for rpmlint is false positive

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-url2-0.0.0-2.fc18.noarch.rpm
nodejs-url2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-url2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-url2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-url2
nodejs-url2.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-url2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-url2.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-url2 (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-url2:
    nodejs-url2
    npm(url2)



Source checksums
----------------
http://registry.npmjs.org/url2/-/url2-0.0.0.tgz :
  CHECKSUM(SHA256) this package     : faa6587ce6fe16539fb86b1345f3ef03c3050f1692386d920f9b18fb93e65d50
  CHECKSUM(SHA256) upstream package : faa6587ce6fe16539fb86b1345f3ef03c3050f1692386d920f9b18fb93e65d50


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 911058

----------------

PACKAGE APPROVED

----------------

Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr

Comment 5 Jamie Nguyen 2013-06-21 06:25:26 UTC
Thanks for the review!

Comment 6 Jamie Nguyen 2013-06-21 06:26:07 UTC
New Package SCM Request
=======================
Package Name: nodejs-url2
Short Description: The Node.js URL module plus relative paths
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-06-21 11:56:27 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-06-21 14:29:07 UTC
nodejs-url2-0.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-url2-0.0.0-2.fc19

Comment 9 Fedora Update System 2013-06-21 14:32:24 UTC
nodejs-url2-0.0.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-url2-0.0.0-2.fc18

Comment 10 Fedora Update System 2013-07-02 00:21:16 UTC
nodejs-url2-0.0.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-07-02 00:25:37 UTC
nodejs-url2-0.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.